Index: /WAeUP_Doc/InstructionsPart1.html
===================================================================
--- /WAeUP_Doc/InstructionsPart1.html	(revision 356)
+++ /WAeUP_Doc/InstructionsPart1.html	(revision 356)
@@ -0,0 +1,340 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<meta name="generator" content="Docutils 0.4: http://docutils.sourceforge.net/" />
+<title></title>
+<style type="text/css">
+
+/*
+:Author: David Goodger
+:Contact: goodger@users.sourceforge.net
+:Date: $Date: 2005-12-18 01:56:14 +0100 (Sun, 18 Dec 2005) $
+:Revision: $Revision: 4224 $
+:Copyright: This stylesheet has been placed in the public domain.
+
+Default cascading style sheet for the HTML output of Docutils.
+
+See http://docutils.sf.net/docs/howto/html-stylesheets.html for how to
+customize this style sheet.
+*/
+
+/* used to remove borders from tables and images */
+.borderless, table.borderless td, table.borderless th {
+  border: 0 }
+
+table.borderless td, table.borderless th {
+  /* Override padding for "table.docutils td" with "! important".
+     The right padding separates the table cells. */
+  padding: 0 0.5em 0 0 ! important }
+
+.first {
+  /* Override more specific margin styles with "! important". */
+  margin-top: 0 ! important }
+
+.last, .with-subtitle {
+  margin-bottom: 0 ! important }
+
+.hidden {
+  display: none }
+
+a.toc-backref {
+  text-decoration: none ;
+  color: black }
+
+blockquote.epigraph {
+  margin: 2em 5em ; }
+
+dl.docutils dd {
+  margin-bottom: 0.5em }
+
+/* Uncomment (and remove this text!) to get bold-faced definition list terms
+dl.docutils dt {
+  font-weight: bold }
+*/
+
+div.abstract {
+  margin: 2em 5em }
+
+div.abstract p.topic-title {
+  font-weight: bold ;
+  text-align: center }
+
+div.admonition, div.attention, div.caution, div.danger, div.error,
+div.hint, div.important, div.note, div.tip, div.warning {
+  margin: 2em ;
+  border: medium outset ;
+  padding: 1em }
+
+div.admonition p.admonition-title, div.hint p.admonition-title,
+div.important p.admonition-title, div.note p.admonition-title,
+div.tip p.admonition-title {
+  font-weight: bold ;
+  font-family: sans-serif }
+
+div.attention p.admonition-title, div.caution p.admonition-title,
+div.danger p.admonition-title, div.error p.admonition-title,
+div.warning p.admonition-title {
+  color: red ;
+  font-weight: bold ;
+  font-family: sans-serif }
+
+/* Uncomment (and remove this text!) to get reduced vertical space in
+   compound paragraphs.
+div.compound .compound-first, div.compound .compound-middle {
+  margin-bottom: 0.5em }
+
+div.compound .compound-last, div.compound .compound-middle {
+  margin-top: 0.5em }
+*/
+
+div.dedication {
+  margin: 2em 5em ;
+  text-align: center ;
+  font-style: italic }
+
+div.dedication p.topic-title {
+  font-weight: bold ;
+  font-style: normal }
+
+div.figure {
+  margin-left: 2em ;
+  margin-right: 2em }
+
+div.footer, div.header {
+  clear: both;
+  font-size: smaller }
+
+div.line-block {
+  display: block ;
+  margin-top: 1em ;
+  margin-bottom: 1em }
+
+div.line-block div.line-block {
+  margin-top: 0 ;
+  margin-bottom: 0 ;
+  margin-left: 1.5em }
+
+div.sidebar {
+  margin-left: 1em ;
+  border: medium outset ;
+  padding: 1em ;
+  background-color: #ffffee ;
+  width: 40% ;
+  float: right ;
+  clear: right }
+
+div.sidebar p.rubric {
+  font-family: sans-serif ;
+  font-size: medium }
+
+div.system-messages {
+  margin: 5em }
+
+div.system-messages h1 {
+  color: red }
+
+div.system-message {
+  border: medium outset ;
+  padding: 1em }
+
+div.system-message p.system-message-title {
+  color: red ;
+  font-weight: bold }
+
+div.topic {
+  margin: 2em }
+
+h1.section-subtitle, h2.section-subtitle, h3.section-subtitle,
+h4.section-subtitle, h5.section-subtitle, h6.section-subtitle {
+  margin-top: 0.4em }
+
+h1.title {
+  text-align: center }
+
+h2.subtitle {
+  text-align: center }
+
+hr.docutils {
+  width: 75% }
+
+img.align-left {
+  clear: left }
+
+img.align-right {
+  clear: right }
+
+ol.simple, ul.simple {
+  margin-bottom: 1em }
+
+ol.arabic {
+  list-style: decimal }
+
+ol.loweralpha {
+  list-style: lower-alpha }
+
+ol.upperalpha {
+  list-style: upper-alpha }
+
+ol.lowerroman {
+  list-style: lower-roman }
+
+ol.upperroman {
+  list-style: upper-roman }
+
+p.attribution {
+  text-align: right ;
+  margin-left: 50% }
+
+p.caption {
+  font-style: italic }
+
+p.credits {
+  font-style: italic ;
+  font-size: smaller }
+
+p.label {
+  white-space: nowrap }
+
+p.rubric {
+  font-weight: bold ;
+  font-size: larger ;
+  color: maroon ;
+  text-align: center }
+
+p.sidebar-title {
+  font-family: sans-serif ;
+  font-weight: bold ;
+  font-size: larger }
+
+p.sidebar-subtitle {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+p.topic-title {
+  font-weight: bold }
+
+pre.address {
+  margin-bottom: 0 ;
+  margin-top: 0 ;
+  font-family: serif ;
+  font-size: 100% }
+
+pre.literal-block, pre.doctest-block {
+  margin-left: 2em ;
+  margin-right: 2em ;
+  background-color: #eeeeee }
+
+span.classifier {
+  font-family: sans-serif ;
+  font-style: oblique }
+
+span.classifier-delimiter {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+span.interpreted {
+  font-family: sans-serif }
+
+span.option {
+  white-space: nowrap }
+
+span.pre {
+  white-space: pre }
+
+span.problematic {
+  color: red }
+
+span.section-subtitle {
+  /* font-size relative to parent (h1..h6 element) */
+  font-size: 80% }
+
+table.citation {
+  border-left: solid 1px gray;
+  margin-left: 1px }
+
+table.docinfo {
+  margin: 2em 4em }
+
+table.docutils {
+  margin-top: 0.5em ;
+  margin-bottom: 0.5em }
+
+table.footnote {
+  border-left: solid 1px black;
+  margin-left: 1px }
+
+table.docutils td, table.docutils th,
+table.docinfo td, table.docinfo th {
+  padding-left: 0.5em ;
+  padding-right: 0.5em ;
+  vertical-align: top }
+
+table.docutils th.field-name, table.docinfo th.docinfo-name {
+  font-weight: bold ;
+  text-align: left ;
+  white-space: nowrap ;
+  padding-left: 0 }
+
+h1 tt.docutils, h2 tt.docutils, h3 tt.docutils,
+h4 tt.docutils, h5 tt.docutils, h6 tt.docutils {
+  font-size: 100% }
+
+tt.docutils {
+  background-color: #eeeeee }
+
+ul.auto-toc {
+  list-style-type: none }
+
+</style>
+</head>
+<body>
+<div class="document">
+<div class="section">
+<h1><a id="instructions-part-1" name="instructions-part-1">Instructions Part 1</a></h1>
+</div>
+<div class="section">
+<h1><a id="set-up-of-the-srp-instance-on-your-local-machine-for-training-purposes-only" name="set-up-of-the-srp-instance-on-your-local-machine-for-training-purposes-only">Set-up of the SRP instance on your local machine (for training purposes only)</a></h1>
+<ol class="arabic simple">
+<li>Install Zope 2.9.3 on your local computer (Windows or Linux)</li>
+<li>Make a Zope instance (type <cite>python mkzopeinstance</cite> in the bin folder of the Zope programme directory). You are advised to create an instance called srp in your home folder ('My Files' on Windows) not in the Zope programme directory.</li>
+<li>Download CPS 3.4.0-1 or the following release candidate: <a class="reference" href="http://www.cps-project.org/static/src/CPS-3.4.1-rc.tar.gz">http://www.cps-project.org/static/src/CPS-3.4.1-rc.tar.gz</a> and unpack the files into the Products folder of your Zope instance  created in 1.</li>
+<li>Checkout the WAeUP_SRP product from our svn: <a class="reference" href="https://svn.waeup.org/repos/WAeUP_SRP/trunk">https://svn.waeup.org/repos/WAeUP_SRP/trunk</a>. You can use TortoiseSVN on Windows or type <cite>svn co https://svn.waeup.org/repos/WAeUP_SRP/trunk WAeUP_SRP</cite> on Linux. You'll need your WAeUP user name and password for the checkout. The files should be copied into a folder called <cite>WAeUP_SRP</cite> inside of the Products folder of your Zope instance.</li>
+<li>Copy the Uniben csv data files into the import folder of your Zope instance. The csv files are attached to this email.</li>
+<li>Start Zope from the bin folder of your Zope instance with <cite>./zopectl start</cite> (background) or <cite>./runzope</cite> (foreground) on Linux or <cite>runzope</cite> on Windows. You can also start a Windows Service which runs in the background. For the latter you can use the following commands:</li>
+</ol>
+<blockquote>
+<pre class="literal-block">
+python zopeservice.py install
+python zopeservice.py start
+python zopeservice.py stop
+python zopeservice.py remove
+</pre>
+</blockquote>
+<ol class="arabic simple" start="7">
+<li>Open your browser and enter <a class="reference" href="http://localhost:8080/manage">http://localhost:8080/manage</a>. After entering your user name and password (defined in 2) the ZMI shows up.</li>
+<li>Choose <cite>CPSDefault Site</cite> (nothing else!) in the pull-down menu and add.</li>
+<li>Fill the fields as follows:</li>
+</ol>
+<blockquote>
+<pre class="literal-block">
+Site ID: srp
+Site Title: Student Registration Portal
+Administrator Login: your Zope instance user name
+Password: your Zope instance password
+Extensions: WAeUP_SRP only
+Site Languages: English only
+</pre>
+</blockquote>
+<ol class="arabic simple" start="10">
+<li>Add the site</li>
+<li>Open a second browser window and enter <a class="reference" href="http://localhost:8080/srp">http://localhost:8080/srp</a> and you will see the frontpage of the portal.</li>
+<li>Login with your user name and password</li>
+<li>Goto Academics</li>
+<li>Import the Uniben data in the following order: Faculties (30 sec), Departments (1 min), Courses (15 min), Certificates (15 min), CertCourses (20 min). Be patient and wait.</li>
+<li>Ready</li>
+</ol>
+</div>
+</div>
+</body>
+</html>
Index: /WAeUP_Doc/InstructionsPart1.rst
===================================================================
--- /WAeUP_Doc/InstructionsPart1.rst	(revision 356)
+++ /WAeUP_Doc/InstructionsPart1.rst	(revision 356)
@@ -0,0 +1,51 @@
+Instructions Part 1
++++++++++++++++++++
+
+Set-up of the SRP instance on your local machine (for training purposes only)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+1. Install Zope 2.9.3 on your local computer (Windows or Linux) 
+
+2. Make a Zope instance (type `python mkzopeinstance` in the bin folder of the Zope programme directory). You are advised to create an instance called srp in your home folder ('My Files' on Windows) not in the Zope programme directory.
+
+3. Download CPS 3.4.0-1 or the following release candidate: http://www.cps-project.org/static/src/CPS-3.4.1-rc.tar.gz and unpack the files into the Products folder of your Zope instance  created in 1.
+
+4. Checkout the WAeUP_SRP product from our svn: https://svn.waeup.org/repos/WAeUP_SRP/trunk. You can use TortoiseSVN on Windows or type `svn co https://svn.waeup.org/repos/WAeUP_SRP/trunk WAeUP_SRP` on Linux. You'll need your WAeUP user name and password for the checkout. The files should be copied into a folder called `WAeUP_SRP` inside of the Products folder of your Zope instance.
+
+5. Copy the Uniben csv data files into the import folder of your Zope instance. The csv files are attached to this email.
+
+6. Start Zope from the bin folder of your Zope instance with `./zopectl start` (background) or `./runzope` (foreground) on Linux or `runzope` on Windows. You can also start a Windows Service which runs in the background. For the latter you can use the following commands:
+
+ ::
+
+  python zopeservice.py install
+  python zopeservice.py start
+  python zopeservice.py stop
+  python zopeservice.py remove
+
+7. Open your browser and enter http://localhost:8080/manage. After entering your user name and password (defined in 2) the ZMI shows up. 
+
+8. Choose `CPSDefault Site` (nothing else!) in the pull-down menu and add.
+
+9. Fill the fields as follows:
+
+ ::
+
+  Site ID: srp
+  Site Title: Student Registration Portal
+  Administrator Login: your Zope instance user name
+  Password: your Zope instance password
+  Extensions: WAeUP_SRP only
+  Site Languages: English only
+
+10. Add the site
+
+11. Open a second browser window and enter http://localhost:8080/srp and you will see the frontpage of the portal.
+
+12. Login with your user name and password
+
+13. Goto Academics
+
+14. Import the Uniben data in the following order: Faculties (30 sec), Departments (1 min), Courses (15 min), Certificates (15 min), CertCourses (20 min). Be patient and wait.
+
+15. Ready
Index: /WAeUP_Doc/InstructionsPart2.html
===================================================================
--- /WAeUP_Doc/InstructionsPart2.html	(revision 356)
+++ /WAeUP_Doc/InstructionsPart2.html	(revision 356)
@@ -0,0 +1,362 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+<meta name="generator" content="Docutils 0.4: http://docutils.sourceforge.net/" />
+<title></title>
+<style type="text/css">
+
+/*
+:Author: David Goodger
+:Contact: goodger@users.sourceforge.net
+:Date: $Date: 2005-12-18 01:56:14 +0100 (Sun, 18 Dec 2005) $
+:Revision: $Revision: 4224 $
+:Copyright: This stylesheet has been placed in the public domain.
+
+Default cascading style sheet for the HTML output of Docutils.
+
+See http://docutils.sf.net/docs/howto/html-stylesheets.html for how to
+customize this style sheet.
+*/
+
+/* used to remove borders from tables and images */
+.borderless, table.borderless td, table.borderless th {
+  border: 0 }
+
+table.borderless td, table.borderless th {
+  /* Override padding for "table.docutils td" with "! important".
+     The right padding separates the table cells. */
+  padding: 0 0.5em 0 0 ! important }
+
+.first {
+  /* Override more specific margin styles with "! important". */
+  margin-top: 0 ! important }
+
+.last, .with-subtitle {
+  margin-bottom: 0 ! important }
+
+.hidden {
+  display: none }
+
+a.toc-backref {
+  text-decoration: none ;
+  color: black }
+
+blockquote.epigraph {
+  margin: 2em 5em ; }
+
+dl.docutils dd {
+  margin-bottom: 0.5em }
+
+/* Uncomment (and remove this text!) to get bold-faced definition list terms
+dl.docutils dt {
+  font-weight: bold }
+*/
+
+div.abstract {
+  margin: 2em 5em }
+
+div.abstract p.topic-title {
+  font-weight: bold ;
+  text-align: center }
+
+div.admonition, div.attention, div.caution, div.danger, div.error,
+div.hint, div.important, div.note, div.tip, div.warning {
+  margin: 2em ;
+  border: medium outset ;
+  padding: 1em }
+
+div.admonition p.admonition-title, div.hint p.admonition-title,
+div.important p.admonition-title, div.note p.admonition-title,
+div.tip p.admonition-title {
+  font-weight: bold ;
+  font-family: sans-serif }
+
+div.attention p.admonition-title, div.caution p.admonition-title,
+div.danger p.admonition-title, div.error p.admonition-title,
+div.warning p.admonition-title {
+  color: red ;
+  font-weight: bold ;
+  font-family: sans-serif }
+
+/* Uncomment (and remove this text!) to get reduced vertical space in
+   compound paragraphs.
+div.compound .compound-first, div.compound .compound-middle {
+  margin-bottom: 0.5em }
+
+div.compound .compound-last, div.compound .compound-middle {
+  margin-top: 0.5em }
+*/
+
+div.dedication {
+  margin: 2em 5em ;
+  text-align: center ;
+  font-style: italic }
+
+div.dedication p.topic-title {
+  font-weight: bold ;
+  font-style: normal }
+
+div.figure {
+  margin-left: 2em ;
+  margin-right: 2em }
+
+div.footer, div.header {
+  clear: both;
+  font-size: smaller }
+
+div.line-block {
+  display: block ;
+  margin-top: 1em ;
+  margin-bottom: 1em }
+
+div.line-block div.line-block {
+  margin-top: 0 ;
+  margin-bottom: 0 ;
+  margin-left: 1.5em }
+
+div.sidebar {
+  margin-left: 1em ;
+  border: medium outset ;
+  padding: 1em ;
+  background-color: #ffffee ;
+  width: 40% ;
+  float: right ;
+  clear: right }
+
+div.sidebar p.rubric {
+  font-family: sans-serif ;
+  font-size: medium }
+
+div.system-messages {
+  margin: 5em }
+
+div.system-messages h1 {
+  color: red }
+
+div.system-message {
+  border: medium outset ;
+  padding: 1em }
+
+div.system-message p.system-message-title {
+  color: red ;
+  font-weight: bold }
+
+div.topic {
+  margin: 2em }
+
+h1.section-subtitle, h2.section-subtitle, h3.section-subtitle,
+h4.section-subtitle, h5.section-subtitle, h6.section-subtitle {
+  margin-top: 0.4em }
+
+h1.title {
+  text-align: center }
+
+h2.subtitle {
+  text-align: center }
+
+hr.docutils {
+  width: 75% }
+
+img.align-left {
+  clear: left }
+
+img.align-right {
+  clear: right }
+
+ol.simple, ul.simple {
+  margin-bottom: 1em }
+
+ol.arabic {
+  list-style: decimal }
+
+ol.loweralpha {
+  list-style: lower-alpha }
+
+ol.upperalpha {
+  list-style: upper-alpha }
+
+ol.lowerroman {
+  list-style: lower-roman }
+
+ol.upperroman {
+  list-style: upper-roman }
+
+p.attribution {
+  text-align: right ;
+  margin-left: 50% }
+
+p.caption {
+  font-style: italic }
+
+p.credits {
+  font-style: italic ;
+  font-size: smaller }
+
+p.label {
+  white-space: nowrap }
+
+p.rubric {
+  font-weight: bold ;
+  font-size: larger ;
+  color: maroon ;
+  text-align: center }
+
+p.sidebar-title {
+  font-family: sans-serif ;
+  font-weight: bold ;
+  font-size: larger }
+
+p.sidebar-subtitle {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+p.topic-title {
+  font-weight: bold }
+
+pre.address {
+  margin-bottom: 0 ;
+  margin-top: 0 ;
+  font-family: serif ;
+  font-size: 100% }
+
+pre.literal-block, pre.doctest-block {
+  margin-left: 2em ;
+  margin-right: 2em ;
+  background-color: #eeeeee }
+
+span.classifier {
+  font-family: sans-serif ;
+  font-style: oblique }
+
+span.classifier-delimiter {
+  font-family: sans-serif ;
+  font-weight: bold }
+
+span.interpreted {
+  font-family: sans-serif }
+
+span.option {
+  white-space: nowrap }
+
+span.pre {
+  white-space: pre }
+
+span.problematic {
+  color: red }
+
+span.section-subtitle {
+  /* font-size relative to parent (h1..h6 element) */
+  font-size: 80% }
+
+table.citation {
+  border-left: solid 1px gray;
+  margin-left: 1px }
+
+table.docinfo {
+  margin: 2em 4em }
+
+table.docutils {
+  margin-top: 0.5em ;
+  margin-bottom: 0.5em }
+
+table.footnote {
+  border-left: solid 1px black;
+  margin-left: 1px }
+
+table.docutils td, table.docutils th,
+table.docinfo td, table.docinfo th {
+  padding-left: 0.5em ;
+  padding-right: 0.5em ;
+  vertical-align: top }
+
+table.docutils th.field-name, table.docinfo th.docinfo-name {
+  font-weight: bold ;
+  text-align: left ;
+  white-space: nowrap ;
+  padding-left: 0 }
+
+h1 tt.docutils, h2 tt.docutils, h3 tt.docutils,
+h4 tt.docutils, h5 tt.docutils, h6 tt.docutils {
+  font-size: 100% }
+
+tt.docutils {
+  background-color: #eeeeee }
+
+ul.auto-toc {
+  list-style-type: none }
+
+</style>
+</head>
+<body>
+<div class="document">
+<div class="section">
+<h1><a id="instructions-part-2" name="instructions-part-2">Instructions Part 2</a></h1>
+</div>
+<div class="section">
+<h1><a id="usage-of-the-srp-backend-portal" name="usage-of-the-srp-backend-portal">Usage of the SRP Backend Portal</a></h1>
+<div class="section">
+<h2><a id="object-hierarchy" name="object-hierarchy">Object hierarchy</a></h2>
+<p>Browse through the data and visit all levels which reflect the real structure of the University. The deepest level is the Certificate Course, for example BOT111 'Diversity of Plants' has the path:</p>
+<pre class="literal-block">
+  Academic Section
+&gt; Faculty of Agriculture
+&gt; Department of Agricultural Economics &amp; Ext. Services
+&gt; Certificates
+&gt; BACHALOR OF AGRICULTURE (AGRIC ECONS)
+&gt; Level 100
+&gt; First Semester
+&gt; Diversity of Plants
+</pre>
+<!--  -->
+<p>Also the URL reflects this hierarchy. It's a path along the Ids of the hierarchical ordered ancestor objects:</p>
+<p><a class="reference" href="http://srp.waeup.org/campus/academics/AGR/AEE/certificates/BAGAEE/100/first/BOT111">http://srp.waeup.org/campus/academics/AGR/AEE/certificates/BAGAEE/100/first/BOT111</a>.</p>
+<p>For each Certificate Course there is a corresponding Course object. The Course objects are in the course folder of the department offering this course:</p>
+<pre class="literal-block">
+  Academic Section
+&gt; Faculty of Life Sciences
+&gt; Department of Botany
+&gt; Courses
+&gt; Diversity of Plants
+</pre>
+<!--  -->
+<p>or: <a class="reference" href="http://srp.waeup.org/campus/academics/LSC/BOT/courses/BOT111">http://srp.waeup.org/campus/academics/LSC/BOT/courses/BOT111</a></p>
+<p>At the moment there is no direct link to the Course source. But you can easily use the search function, e.g. search for BOT111, and you'll find not only the Course source itself but also all other Certificates referring to this course.</p>
+<p>The content types of all objects are ordered in the same way:</p>
+<pre class="literal-block">
+AcademicsFolder &gt; FacultyFolder &gt; DepartmentFolder &gt;
+       CoursesFolder &gt; Course
+       CertificatesFolder &gt; StudyLevel &gt; Semester &gt; CertificateCourse
+</pre>
+<!--  -->
+<p>The datastructure of the objects (also called attributes or properties) are defined by their content type.</p>
+</div>
+<div class="section">
+<h2><a id="register-new-portal-members-and-delegate-roles" name="register-new-portal-members-and-delegate-roles">Register new portal members and delegate roles</a></h2>
+<ol class="arabic simple">
+<li>As a Portal Managers you can register new members. Click the 'Members' tab in the navigation bar and then 'Create' in the horizontal object action bar. Enter the member data. Do not tick the Manager box. Create for example a member called ART Manager.</li>
+<li>Go to the Faculty of Arts (Academics -&gt; Faculty of Arts)</li>
+<li>Click 'Delegate'.</li>
+<li>Search for '*'</li>
+<li>Tick Art Manager and assign the role 'Section Manager'. Now the member ART Manager has got the local manager role exclusively for the Faculty of Arts.</li>
+<li>Log out</li>
+<li>Log in as ART Manager and see the difference: If you go to the 'Faculty of Arts' you will be able to view the data, edit the data, delegate your role to other members, add a new department, approve the data or see a list of unchecked items inside the Faculty of Arts. The same functions are also available for all departments below the ART level. If you go to another faculty, only the 'View' tab appears. This shows how the delegation of roles works.</li>
+</ol>
+</div>
+<div class="section">
+<h2><a id="check-and-approve-data" name="check-and-approve-data">Check and approve data</a></h2>
+<p>Couse and Certificate data have to be checked. Only checked data will be available for course registration in the frontend module.</p>
+<ol class="arabic simple">
+<li>Go to any Certificate object and approve this object (Click the 'Approve' tab in the object action bar) . The status in the object action bar (on the right) will change from 'unchecked' to 'checked'. Be aware that only the certificate status has changed, not the status of the children objects, i.e. the CertificateCourses. Thus, do the same for the CertificateCourse and Course objects.</li>
+<li>Alternatively, you can use the 'Select all' tab at the end of a contents table. For example, go to the list of courses of any department, click 'Select all' and then 'Approve'. The status of all objects in this list will change from 'unchecked' to 'checked'.</li>
+<li>If you want to see your 'worklist', i.e. all objects which are still unchecked inside the faculty or department where you currently are, click 'Unchecked Items'. Only when this list is empty, the work is done.</li>
+</ol>
+</div>
+<div class="section">
+<h2><a id="add-data" name="add-data">Add data</a></h2>
+<p>Probably many items are missing. You can add the respective data from the place where you are. Also these items have to be approved after creation.</p>
+</div>
+</div>
+</div>
+</body>
+</html>
Index: /WAeUP_Doc/InstructionsPart2.rst
===================================================================
--- /WAeUP_Doc/InstructionsPart2.rst	(revision 356)
+++ /WAeUP_Doc/InstructionsPart2.rst	(revision 356)
@@ -0,0 +1,93 @@
+Instructions Part 2
++++++++++++++++++++
+
+Usage of the SRP Backend Portal
++++++++++++++++++++++++++++++++
+
+
+Object hierarchy
+---------------- 
+
+Browse through the data and visit all levels which reflect the real structure of the University. The deepest level is the Certificate Course, for example BOT111 'Diversity of Plants' has the path:
+
+::
+
+   Academic Section 
+ > Faculty of Agriculture 
+ > Department of Agricultural Economics & Ext. Services 
+ > Certificates 
+ > BACHALOR OF AGRICULTURE (AGRIC ECONS) 
+ > Level 100 
+ > First Semester 
+ > Diversity of Plants
+
+..
+
+Also the URL reflects this hierarchy. It's a path along the Ids of the hierarchical ordered ancestor objects: 
+
+http://srp.waeup.org/campus/academics/AGR/AEE/certificates/BAGAEE/100/first/BOT111.
+
+For each Certificate Course there is a corresponding Course object. The Course objects are in the course folder of the department offering this course:
+
+::
+
+   Academic Section 
+ > Faculty of Life Sciences 
+ > Department of Botany 
+ > Courses 
+ > Diversity of Plants
+
+..
+
+or: http://srp.waeup.org/campus/academics/LSC/BOT/courses/BOT111
+
+At the moment there is no direct link to the Course source. But you can easily use the search function, e.g. search for BOT111, and you'll find not only the Course source itself but also all other Certificates referring to this course.
+
+The content types of all objects are ordered in the same way: 
+
+::
+
+ AcademicsFolder > FacultyFolder > DepartmentFolder > 
+        CoursesFolder > Course
+        CertificatesFolder > StudyLevel > Semester > CertificateCourse
+
+..
+
+The datastructure of the objects (also called attributes or properties) are defined by their content type. 
+
+
+Register new portal members and delegate roles
+----------------------------------------------
+
+1. As a Portal Managers you can register new members. Click the 'Members' tab in the navigation bar and then 'Create' in the horizontal object action bar. Enter the member data. Do not tick the Manager box. Create for example a member called ART Manager. 
+
+2. Go to the Faculty of Arts (Academics -> Faculty of Arts)
+
+3. Click 'Delegate'.
+
+4. Search for '*' 
+
+5. Tick Art Manager and assign the role 'Section Manager'. Now the member ART Manager has got the local manager role exclusively for the Faculty of Arts.
+
+6. Log out
+
+7. Log in as ART Manager and see the difference: If you go to the 'Faculty of Arts' you will be able to view the data, edit the data, delegate your role to other members, add a new department, approve the data or see a list of unchecked items inside the Faculty of Arts. The same functions are also available for all departments below the ART level. If you go to another faculty, only the 'View' tab appears. This shows how the delegation of roles works.
+
+
+Check and approve data
+----------------------
+
+Couse and Certificate data have to be checked. Only checked data will be available for course registration in the frontend module.
+
+1. Go to any Certificate object and approve this object (Click the 'Approve' tab in the object action bar) . The status in the object action bar (on the right) will change from 'unchecked' to 'checked'. Be aware that only the certificate status has changed, not the status of the children objects, i.e. the CertificateCourses. Thus, do the same for the CertificateCourse and Course objects. 
+
+2. Alternatively, you can use the 'Select all' tab at the end of a contents table. For example, go to the list of courses of any department, click 'Select all' and then 'Approve'. The status of all objects in this list will change from 'unchecked' to 'checked'.
+
+3. If you want to see your 'worklist', i.e. all objects which are still unchecked inside the faculty or department where you currently are, click 'Unchecked Items'. Only when this list is empty, the work is done.
+
+Add data
+--------
+
+Probably many items are missing. You can add the respective data from the place where you are. Also these items have to be approved after creation.
+
+