Index: WAeUP_SRP/trunk/Academics.py
===================================================================
--- WAeUP_SRP/trunk/Academics.py	(revision 363)
+++ WAeUP_SRP/trunk/Academics.py	(revision 364)
@@ -40,8 +40,8 @@
     security = ClassSecurityInfo()
 
-##    security.declareProtected(View,"Title")
-##    def Title(self):
-##        """compose title"""
-##        return "AcademicsFolder of %s" % (self.title)
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        return "Academics Section"
 
     security.declareProtected(ModifyPortalContent,"loadFacultiesFromCSV")###(
Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 363)
+++ WAeUP_SRP/trunk/Students.py	(revision 364)
@@ -104,4 +104,25 @@
                 d['entry_session'] = "200%s" % (cs - cl)
                 sc.getContent().edit(mapping=d)
+                #
+                # Level
+                #
+                level = student.get('StudentLevel')
+                l = getattr(sc,level,None)
+                if l is None:
+                    #self.log('Creating Department %(DeptCode)s = %(Description)s' % dep)
+                    logger.info('Creating Level %(StudentLevel)s for %(fullname)s' % student)
+                    sc.invokeFactory('StudyLevel', level)
+                    l = getattr(sc, level)
+                    certificate = certs[certcode]
+                    cert_level = getattr(certificate,level,None)
+                    if cert_level is None:
+                        logger.info('Level %(level)s not in %(certcode)s' % vars())
+                    l.getContent().edit(mapping={'Title': "Level %s" % level})
+                    l.invokeFactory('Semester','first')
+                    l.invokeFactory('Semester','second')
+                    first_s = getattr(l,'first')
+                    first_s.getContent().edit(mapping={'Title': 'First Semester'})
+                    second_s = getattr(l,'second')
+                    second_s.getContent().edit(mapping={'Title': 'Second Semester'})
             else:
                 em = 'Faculty with ID %(MatricNo)s %(fullname)s already exists' % student
@@ -113,4 +134,9 @@
         return self.students.folder_contents()
     ###)
+    
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        return "Students Section"
 
 InitializeClass(StudentsFolder)
@@ -223,5 +249,6 @@
         """compose title"""
         content = self.getContent()
-        return "Personal Data for %s %s" % (content.firstname,content.lastname)
+        #return "Personal Data for %s %s" % (content.firstname,content.lastname)
+        return "Personal Data"
 
 
@@ -243,9 +270,9 @@
     security = ClassSecurityInfo()
 
-##    security.declareProtected(View,"Title")
-##    def Title(self):
-##        """compose title"""
-##        content = self.getContent()
-##        return "StudyCourse Data for %s %s" % (content.firstname,content.lastname)
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        content = self.getContent()
+        return "Course Major" 
 
 
Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 363)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 364)
@@ -178,3 +178,7 @@
               title="Import CertCourses" priority="4"
               icon_expr="actionicon_submit.png"/>
+<action-icon category="import"
+              action_id="import_fulltime_students"
+              title="Import Fulltime Students" priority="1"
+              icon_expr="actionicon_submit.png"/>
 </action-icons>
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 363)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 364)
@@ -107,5 +107,5 @@
   <action title="Students" action_id="view_students" category="navigation"
      condition_expr="" url_expr="string:${portal_url}/campus/students"
-     visible="False">
+     visible="True">
    <permission>View</permission>
   </action>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 363)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 364)
@@ -17,18 +17,22 @@
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
   <element value="student_personal"/>
  </property>
  <property name="layouts">
+  <element value="common"/>
   <element value="student_personal"/>
  </property>
- <property name="layout_clusters"/>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
  <property name="flexible_layouts"/>
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
- <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
-    visible="True">
+ <alias from="(Default)" to="cpsdocument_view"/>
+ <alias from="view" to="cpsdocument_view"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/cpsdocument_view" visible="True">
   <permission value="View"/>
  </action>
@@ -39,7 +43,5 @@
  </action>
  <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="True">
-  <permission value="University Manage"/>
- </action>
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
+    visible="True"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 363)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentsFolder.xml	(revision 364)
@@ -32,9 +32,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
- <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
-    visible="True">
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>
@@ -67,5 +66,5 @@
     condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
     visible="False"/>
- <action title="import fulltime students" action_id="import_fulltime"
+ <action title="Import Fulltime Students" action_id="import_fulltime_students"
     category="import" condition_expr=""
     url_expr="string:${object_url}/loadFullTimeStudentsFromCSV"