Index: WAeUP_SRP/trunk/Academics.py
===================================================================
--- WAeUP_SRP/trunk/Academics.py	(revision 369)
+++ WAeUP_SRP/trunk/Academics.py	(revision 370)
@@ -292,24 +292,27 @@
                 certificates.invokeFactory('Certificate', certificate_id)
                 c = getattr(certificates,certificate_id)
-            dict = {'Title': certificate['Description']}
-            dict['code'] = code
-            dict['org_code'] = certificate.get('CertCode')
-            dict['faculty'] = certificate.get('Faculty')
-            dict['department'] = certificate.get('Dept')
-            dict['max_pass'] = certificate.get('MaxPass')
-            dict['max_load'] = certificate.get('MaxLoad')
-            dict['admin_status'] = certificate.get('Admstatus')
-            dict['category'] = certificate.get('category')
-            dict['m_prefix'] = certificate.get('MPREFIX')
-            dict['nr_years'] = int(certificate.get('Nyears'))
-            nc = certificate.get('Ncore','1')
-            try:
-                dict['n_core'] = int(nc)
-            except:
-                dict['n_core'] = 1
-            dict['start_level'] = certificate.get('StartLevel')
-            dict['end_level'] = certificate.get('endLevel')
-            dict['promotion_credits'] = certificate.get('PromotionCredits')
-            dict['probation_credits'] = certificate.get('ProbationCredits')
+                dict = {'Title': certificate['Description']}
+                dict['code'] = code
+                dict['faculty'] = certificate.get('Faculty')
+                dict['department'] = certificate.get('Dept')
+                dict['max_pass'] = certificate.get('MaxPass')
+                dict['max_load'] = certificate.get('MaxLoad')
+                dict['admin_status'] = certificate.get('Admstatus')
+                dict['category'] = certificate.get('category')
+                dict['m_prefix'] = certificate.get('MPREFIX')
+                dict['nr_years'] = int(certificate.get('Nyears'))
+                nc = certificate.get('Ncore','1')
+                try:
+                    dict['n_core'] = int(nc)
+                except:
+                    dict['n_core'] = 1
+                dict['start_level'] = certificate.get('StartLevel')
+                dict['end_level'] = certificate.get('endLevel')
+                dict['promotion_credits'] = certificate.get('PromotionCredits')
+                dict['probation_credits'] = certificate.get('ProbationCredits')
+            else:
+                dict = {}
+            dict['original_code'] = certificate.get('CertCode')
+            print 
             c.getContent().edit(mapping=dict)
         return self.academics.academics_contents()
@@ -478,5 +481,4 @@
     def Title(self):
         """compose title"""
-        print self.id.upper()
         ce = self.getCourseEntry(self.id.upper())
         if ce:
Index: WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 370)
@@ -28,17 +28,4 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="code" meta_type="String Widget">
-  <property name="title">Code</property>
-  <property name="fields">
-   <element value="code"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Code</property>
-  <property name="label_edit">Code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">20</property>
  </widget>
  <widget name="end_level" meta_type="Select Widget">
@@ -100,4 +87,15 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="original_code" meta_type="String Widget">
+  <property name="title">Original Code</property>
+  <property name="fields">
+   <element value="original_code"/>
+  </property>
+  <property name="label">Original Code</property>
+  <property name="label_edit">Original Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="probation_credits" meta_type="Int Widget">
   <property name="title">Probation  Credits</property>
@@ -136,5 +134,5 @@
  <table>
   <row>
-   <cell name="code"/>
+   <cell name="original_code"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 370)
@@ -17,14 +17,4 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="code" meta_type="String Widget">
-  <property name="title">Code</property>
-  <property name="fields">
-   <element value="code"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Code</property>
-  <property name="label_edit">Code</property>
-  <property name="display_width">10</property>
  </widget>
  <widget name="credits" meta_type="Int Widget">
@@ -75,17 +65,5 @@
  <table>
   <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="org_code"/>
-  </row>
-  <row>
-   <cell name="category"/>
-  </row>
-  <row>
    <cell name="credits"/>
-  </row>
-  <row>
-   <cell name="semester"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 370)
@@ -28,5 +28,22 @@
   <property name="size_max">200</property>
  </widget>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Object ID</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="label">Object ID</property>
+  <property name="label_edit">Object ID</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+   <element value="view"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <table>
+  <row>
+   <cell name="code"/>
+  </row>
   <row>
    <cell name="Title"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 370)
@@ -64,7 +64,4 @@
  <table>
   <row>
-   <cell name="Title"/>
-  </row>
-  <row>
    <cell name="institution_type"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 370)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_study_course.xml	(revision 370)
@@ -0,0 +1,98 @@
+<?xml version="1.0"?>
+<object name="student_study_course" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_default_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="course_major" meta_type="String Widget">
+  <property name="title">Course Major</property>
+  <property name="fields">
+   <element value="course_major"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Course Major</property>
+  <property name="label_edit">Course Major</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="department" meta_type="Select Widget">
+  <property name="title">Department</property>
+  <property name="fields">
+   <element value="department"/>
+  </property>
+  <property name="label">Department</property>
+  <property name="label_edit">Department</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">get_departments_voc</property>
+ </widget>
+ <widget name="entry_reg_no" meta_type="String Widget">
+  <property name="title">Entry Registration No</property>
+  <property name="fields">
+   <element value="entry_reg_no"/>
+  </property>
+  <property name="label">Entry Registration No</property>
+  <property name="label_edit">Entry Registration No</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="entry_session" meta_type="String Widget">
+  <property name="title">Entry Session</property>
+  <property name="fields">
+   <element value="entry_session"/>
+  </property>
+  <property name="label">Entry Session</property>
+  <property name="label_edit">Entry Session</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="faculty" meta_type="Select Widget">
+  <property name="title">Faculty</property>
+  <property name="fields">
+   <element value="faculty"/>
+  </property>
+  <property name="label">Faculty</property>
+  <property name="label_edit">Faculty</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">get_faculties_voc</property>
+ </widget>
+ <widget name="matricel_no" meta_type="String Widget">
+  <property name="title">Matricel No</property>
+  <property name="fields">
+   <element value="matricel_no"/>
+  </property>
+  <property name="label">Matricel No</property>
+  <property name="label_edit">Matricel No</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <table>
+  <row>
+   <cell name="entry_reg_no"/>
+  </row>
+  <row>
+   <cell name="matricel_no"/>
+  </row>
+  <row>
+   <cell name="faculty"/>
+  </row>
+  <row>
+   <cell name="department"/>
+  </row>
+  <row>
+   <cell name="course_major"/>
+  </row>
+  <row>
+   <cell name="entry_session"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/study_level.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/study_level.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/layouts/study_level.xml	(revision 370)
@@ -4,7 +4,19 @@
  <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_slregister_</property>
+ <property name="style_prefix">layout_waeup_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="Title" meta_type="String Widget">
+  <property name="title">Title</property>
+  <property name="fields">
+   <element value="Title"/>
+  </property>
+  <property name="label">Level Nr</property>
+  <property name="label_edit">Level Nr</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">40</property>
+ </widget>
  <widget name="sc_id" meta_type="String Widget">
   <property name="title">SC ID</property>
@@ -55,8 +67,5 @@
  <table>
   <row>
-   <cell name="sc_value"/>
-  </row>
-  <row>
-   <cell name="sc_pin"/>
+   <cell name="Title"/>
   </row>
  </table>
Index: WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 370)
@@ -15,12 +15,28 @@
   <property name="label_edit">Title</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="view"/>
-  </property>
+  <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">40</property>
   <property name="size_max">200</property>
  </widget>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Object ID</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Object ID</property>
+  <property name="label_edit">Object ID</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="edit"/>
+   <element value="view"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <table>
+  <row>
+   <cell name="code"/>
+  </row>
   <row>
    <cell name="Title"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml	(revision 370)
@@ -2,4 +2,5 @@
 <object name="faculty" meta_type="CPS Schema">
  <field name="bank_code" meta_type="CPS String Field"/>
+ <field name="code" meta_type="CPS String Field"/>
  <field name="degree_grade" meta_type="CPS String Field"/>
  <field name="institution_type" meta_type="CPS String Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml	(revision 370)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_study_course.xml	(revision 370)
@@ -0,0 +1,9 @@
+<?xml version="1.0"?>
+<object name="student_study_course" meta_type="CPS Schema">
+ <field name="course_major" meta_type="CPS String Field"/>
+ <field name="department" meta_type="CPS String Field"/>
+ <field name="entry_reg_no" meta_type="CPS String Field"/>
+ <field name="entry_session" meta_type="CPS String Field"/>
+ <field name="faculty" meta_type="CPS String Field"/>
+ <field name="matricel_no" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 370)
@@ -23,8 +23,5 @@
   <element value="folder"/>
  </property>
- <property name="layouts">
-  <element value="common"/>
-  <element value="metadata"/>
- </property>
+ <property name="layouts"/>
  <property name="layout_clusters">
   <element value="metadata:metadata"/>
@@ -43,6 +40,6 @@
     url_expr="string:${object/absolute_url}/content_create?type_name=Faculty"
     visible="True">
-    <permission value="Modify portal content"/>
-  </action>
+  <permission value="Modify portal content"/>
+ </action>
  <action title="action_folder_contents" action_id="contents" category="object"
     condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
@@ -52,6 +49,6 @@
     visible="True">
   <permission value="Modify portal content"/>
-  </action>
-  <action title="Faculties" action_id="import_faculties" category="import"
+ </action>
+ <action title="Faculties" action_id="import_faculties" category="import"
     condition_expr="" url_expr="string:${object_url}/loadFacultiesFromCSV"
     visible="True"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/Certificate.xml	(revision 370)
@@ -34,4 +34,5 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="academics_contents"/>
+ <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object" condition_expr=""
@@ -61,2 +62,3 @@
  </action>
 </object>
+
Index: WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 370)
@@ -22,5 +22,4 @@
  </property>
  <property name="layouts">
-  <element value="common"/>
   <element value="certificate_course"/>
  </property>
@@ -32,8 +31,8 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="cpsdocument_view"/>
+ <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="view" to="cpsdocument_view"/>
- <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
-    visible="True">
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/cpsdocument_view" visible="True">
   <permission value="View"/>
  </action>
@@ -42,5 +41,5 @@
     visible="True">
   <permission value="Modify portal content"/>
-  </action>
+ </action>
  <action title="action_metadata" action_id="metadata" category="object"
     condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
@@ -48,6 +47,7 @@
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="True" >
-    <permission value="Modify portal content"/>
-  </action>
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
 </object>
+
Index: WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificatesFolder.xml	(revision 370)
@@ -22,8 +22,5 @@
   <element value="metadata"/>
  </property>
- <property name="layouts">
-  <element value="common"/>
-  <element value="metadata"/>
- </property>
+ <property name="layouts" />
  <property name="layout_clusters">
   <element value="metadata:metadata"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 370)
@@ -22,5 +22,5 @@
  </property>
  <property name="layouts">
-  <element value="common"/>
+  <element value="waeup_common"/>
   <element value="course"/>
  </property>
@@ -32,8 +32,8 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="cpsdocument_view"/>
+ <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="view" to="cpsdocument_view"/>
- <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/cpsdocument_view"
-    visible="True">
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/cpsdocument_view" visible="True">
   <permission value="View"/>
  </action>
Index: WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/CoursesFolder.xml	(revision 370)
@@ -22,8 +22,5 @@
   <element value="metadata"/>
  </property>
- <property name="layouts">
-  <element value="common"/>
-  <element value="metadata"/>
- </property>
+ <property name="layouts" />
  <property name="layout_clusters">
   <element value="metadata:metadata"/>
Index: WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 370)
@@ -24,4 +24,5 @@
  </property>
  <property name="layouts">
+  <element value="waeup_common"/>
   <element value="faculty"/>
  </property>
@@ -33,4 +34,5 @@
  <property name="cps_is_portlet">False</property>
  <alias from="(Default)" to="academics_contents"/>
+ <alias from="create_do" to="waeup_document_create_do"/>
  <alias from="edit" to="faculty_edit"/>
  <alias from="edit_form" to="faculty_edit_form"/>
@@ -60,4 +62,4 @@
     visible="True">
   <permission value="Modify portal content"/>
-  </action>
+ </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/Semester.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/Semester.xml	(revision 370)
@@ -12,4 +12,5 @@
  <property name="filter_content_types">True</property>
  <property name="allowed_content_types">
+  <element value="CertificateCourse"/>
   <element value="Course"/>
   <element value="CourseTicket"/>
@@ -23,7 +24,5 @@
   <element value="common"/>
  </property>
- <property name="layouts">
-  <element value="waeup_common"/>
- </property>
+ <property name="layouts"/>
  <property name="layout_clusters">
   <element value="metadata:metadata"/>
@@ -34,7 +33,6 @@
  <alias from="(Default)" to="academics_contents"/>
  <alias from="view" to="academics_contents"/>
- <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/academics_contents"
-    visible="True">
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>
@@ -57,6 +55,6 @@
     condition_expr=""
     url_expr="string:${object_url}/content_create?type_name=CertificateCourse"
-    visible="True" >
+    visible="True">
   <permission value="Modify portal content"/>
-  </action>
+ </action>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 370)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 370)
@@ -0,0 +1,57 @@
+<?xml version="1.0"?>
+<object name="StudentStudyCourse" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">Student Study Course</property>
+ <property name="description"></property>
+ <property name="content_icon">student.gif</property>
+ <property name="content_meta_type">StudentStudyCourse</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addStudentStudyCourse</property>
+ <property name="immediate_view">folder_view</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types">
+  <element value="StudyLevel"/>
+ </property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">True</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
+  <element value="student_study_course"/>
+ </property>
+ <property name="layouts">
+  <element value="common"/>
+  <element value="student_study_course"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="cpsdocument_view"/>
+ <alias from="view" to="cpsdocument_view"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/cpsdocument_view" visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="action_metadata" action_id="metadata" category="object"
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
+    visible="False"/>
+ <action title="Delegate" action_id="localroles" category="object"
+    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    visible="False">
+  <permission value="Modify portal content"/>
+ </action>
+ <action title="action_folder_contents" action_id="contents" category="object"
+    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
+    visible="False"/>
+ <action title="Register for Next Level" action_id="register_study_level"
+    category="object" condition_expr=""
+    url_expr="string:${object/absolute_url}/register_level" visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 370)
@@ -21,7 +21,8 @@
   <element value="metadata"/>
   <element value="common"/>
+  <element value="study_level"/>
  </property>
  <property name="layouts">
-  <element value="waeup_common"/>
+  <element value="study_level"/>
  </property>
  <property name="layout_clusters">
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/courselevel.xml	(revision 370)
@@ -9,4 +9,4 @@
  <item key="300" msgid="">Year 3 (300 Level)</item>
  <item key="400" msgid="">Year 4 (400 Level)</item>
- <item key="500" msgid="">Year 5 (400 Level)</item>
+ <item key="500" msgid="">Year 5 (500 Level)</item>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 369)
+++ WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 370)
@@ -52,8 +52,8 @@
   </type>
   <type type_id="Department">
-   <bound-workflow workflow_id="section_folder_wf"/>
+   <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="Faculty">
-   <bound-workflow workflow_id="section_folder_wf"/>
+   <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
   <type type_id="Jamb">
@@ -84,4 +84,7 @@
    <bound-workflow workflow_id="waeup_base_wf"/>
   </type>
+  <type type_id="StudentStudyCourse">
+   <bound-workflow workflow_id="section_folder_wf"/>
+  </type>
   <type type_id="StudentsFolder">
    <bound-workflow workflow_id="section_folder_wf"/>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 369)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 370)
@@ -48,5 +48,5 @@
     <span tal:define="redirect python: response.redirect(url)"></span>
   </div>
-    <span tal:omit-tag="" tal:condition="not: display_buttons" 
+    <span tal:omit-tag="" tal:condition="python:display_buttons or (context.portal_type in ('Certificate',))" 
           tal:content="structure doc/render" />
 
@@ -69,5 +69,5 @@
         <td align="left" valign="top" rowspan="3"></td>
         <td align="left" valign="top">
-          <span tal:condition="display_buttons" >
+          <span tal:condition="display_buttons">
           <span tal:condition="can_del">
             <input type="button" value="button_select_all" class="context"
@@ -76,12 +76,16 @@
                    tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
                                    % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))" />
-            <input type="submit" name="approve_checked:method"
+            <span tal:omit-tag="" tal:condition="python: context.portal_type != 'Certificate'">
+              <input type="submit" name="approve_checked:method"
               class="context" value="Approve" />
             <input type="submit" name="retract_checked:method"
               class="context" value="Retract" />
-            <input type="submit" name="folder_delete:method" value="button_delete"
+            </span>
+              <input type="submit" name="folder_delete:method" value="button_delete"
               class="destructive" i18n:attributes="value"
               tal:attributes="onclick python:'return window.confirm(\'%s\')' %
               (cpsmcat('description_confirm_delete'), )" />
+            <input type="submit" name="id_rename_form:method"
+              class="context" value="button_rename" i18n:attributes="value" />
           </span>
           </span>
Index: WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 369)
+++ WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 370)
@@ -13,5 +13,6 @@
 """
 
-if context.portal_type in ('Department','Certificate','StudyLevel'):
+#if context.portal_type in ('Department','Certificate','StudyLevel'):
+if context.portal_type in ('Department','StudyLevel'):
     return None
 return 1
Index: WAeUP_SRP/trunk/skins/waeup_default/id_rename.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 370)
+++ WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 370)
@@ -0,0 +1,18 @@
+##parameters=
+# $Id: folder_rename.py 28488 2005-10-21 13:16:23Z lregebro $
+"""
+Rename objects which ids are passed in the request.
+
+Used within the folder_contents template.
+"""
+
+REQUEST = context.REQUEST
+
+new_ids = REQUEST['new_ids']
+new_ids = [id.upper() for id in REQUEST['new_ids']]
+
+context.manage_renameObjects(REQUEST['ids'], new_ids, REQUEST) 
+
+return REQUEST.RESPONSE.redirect(context.absolute_url() + \
+                                ('/academics_contents?portal_status_message=%s' \
+                                % ('psm_item(s)_renamed',)))
Index: WAeUP_SRP/trunk/skins/waeup_default/id_rename_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/id_rename_form.pt	(revision 370)
+++ WAeUP_SRP/trunk/skins/waeup_default/id_rename_form.pt	(revision 370)
@@ -0,0 +1,60 @@
+<metal:html use-macro="here/main_template/macros/master">
+
+<metal:header fill-slot="header">
+
+<h1 i18n:translate="heading_rename_items">Rename Items</h1>
+<div class="description" i18n:translate="help_rename_items">Changing the id of an object does not
+affect its title but changes the URL to access it. Links that point to the
+current id won't find it anymore.</div>
+
+</metal:header>
+
+<metal:main fill-slot="main">
+
+<div class="group" tal:condition="here/folder_rename_items" >
+<form action="folder_rename" method="post"
+      tal:attributes="action string:${here_url}/id_rename">
+
+  <table width="90%">
+    <tr tal:repeat="item here/folder_rename_items">
+      <td align="left" valign="top" width="20%" nowrap="nowrap">
+        <span tal:replace="structure item/iconHTML">Type Image</span>
+        <span tal:replace="item/getId">ID</span>
+        <input type="hidden" name="ids:list" value=""
+               tal:attributes="value item/getId" />
+      </td>
+
+      <td align="left" valign="top">
+        <strong i18n:translate="label_rename_to">to</strong>
+      </td>
+
+      <td align="left" valign="top">
+        <input type="text" name="new_ids:list" value=""
+               tal:attributes="value item/getId" size="20" />
+      </td>
+    </tr>
+
+    <tr>
+      <td colspan="3"><br />
+        <input class="standalone" type="submit" value="button_change"
+          i18n:attributes="value" />
+      </td>
+    </tr>
+  </table>
+
+</form>
+</div><!-- tal:condition="here/folder_rename_items" -->
+
+<div tal:condition="not: here/folder_rename_items">
+
+  <p i18n:translate="help_no_items_to_rename">
+    You must select one or more items to rename.
+  </p>
+  <input class="standalone" 
+         type="button" value="button_ok" onclick="history.back()"
+         i18n:attributes="value" />
+
+</div>
+
+</metal:main>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py	(revision 370)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py	(revision 370)
@@ -0,0 +1,38 @@
+##parameters=type_name, datamodel
+# $Id: cpsdocument_create_do.py 34091 2006-03-06 18:37:08Z atchertchian $
+"""
+Create an empty object in the context according to the datamodel.
+
+Datamodel may be examined to create a suitable id.
+
+Returns the created object (usually a proxy).
+"""
+from Products.CMFCore.utils import getToolByName
+
+id = datamodel.get('code').upper()
+datamodel.set('code',id)
+##if not id:
+##    id = 'my ' + type_name
+##id = context.computeId(compute_from=id) # XXX shouldn't use a skin
+##
+language = datamodel.get('Language')
+if not language:
+    ts = getToolByName(context, 'translation_service')
+    language = ts.getSelectedLanguage()
+
+ttool = getToolByName(context, 'portal_types')
+ti = ttool[type_name]
+allow_discussion = ti.allowDiscussion()
+
+# Datamodel is passed so that flexti can initialize the object.
+new_id = context.invokeFactory(type_name, id, datamodel=datamodel,
+                               language=language,
+                               allow_discussion=allow_discussion)
+if new_id is not None:
+    id = new_id
+
+ob = getattr(context, id)
+
+context.notifyCPSDocumentCreation(ob=ob) # BBB obsolete in CPS 3.5.0
+
+return ob