Index: /WAeUP_SRP/trunk/Academics.py
===================================================================
--- /WAeUP_SRP/trunk/Academics.py	(revision 370)
+++ /WAeUP_SRP/trunk/Academics.py	(revision 371)
@@ -82,4 +82,5 @@
             d['bank_code'] = faculty.get("Bankcode")
             d["degree_grade"] = faculty.get("degree_grade")
+            d['institution_type'] = 'faculty'
             f.getContent().edit(mapping=d)
         return self.academics.academics_contents()
Index: /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml	(revision 370)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/certificate_course.xml	(revision 371)
@@ -7,4 +7,18 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="Title" meta_type="String Widget">
+  <property name="title">Title</property>
+  <property name="fields">
+   <element value="Title"/>
+  </property>
+  <property name="label">Title</property>
+  <property name="label_edit">Title</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="admin_status" meta_type="String Widget">
   <property name="title">Admin Status</property>
@@ -23,6 +37,6 @@
    <element value="certificate_code"/>
   </property>
-  <property name="label">Certificate code</property>
-  <property name="label_edit">Certificate code</property>
+  <property name="label">Certificate Code</property>
+  <property name="label_edit">Certificate Code</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -54,5 +68,7 @@
   <property name="label">Course Code</property>
   <property name="label_edit">Course Code</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -77,10 +93,4 @@
   </row>
   <row>
-   <cell name="certificate_code"/>
-  </row>
-  <row>
-   <cell name="certificate_code_org"/>
-  </row>
-  <row>
    <cell name="core_or_elective"/>
   </row>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml	(revision 370)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/certificate.xml	(revision 371)
@@ -15,4 +15,5 @@
  <field name="n_core" meta_type="CPS Int Field"/>
  <field name="nr_years" meta_type="CPS Int Field"/>
+ <field name="original_code" meta_type="CPS String Field"/>
  <field name="probation_credits" meta_type="CPS Int Field"/>
  <field name="promotion_credits" meta_type="CPS Int Field"/>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/department.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/department.xml	(revision 370)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/department.xml	(revision 371)
@@ -1,2 +1,4 @@
 <?xml version="1.0"?>
-<object name="department" meta_type="CPS Schema"/>
+<object name="department" meta_type="CPS Schema">
+ <field name="code" meta_type="CPS String Field"/>
+</object>
Index: /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 370)
+++ /WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 371)
@@ -35,6 +35,4 @@
  <alias from="(Default)" to="academics_contents"/>
  <alias from="create_do" to="waeup_document_create_do"/>
- <alias from="edit" to="faculty_edit"/>
- <alias from="edit_form" to="faculty_edit_form"/>
  <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object" condition_expr=""
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 370)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents.pt	(revision 371)
@@ -86,6 +86,7 @@
               tal:attributes="onclick python:'return window.confirm(\'%s\')' %
               (cpsmcat('description_confirm_delete'), )" />
-            <input type="submit" name="id_rename_form:method"
-              class="context" value="button_rename" i18n:attributes="value" />
+            <input tal:condition="python: context.portal_type not in ('Semester',)"
+                   type="submit" name="id_rename_form:method"
+              class="context" value="Change Object ID" i18n:attributes="value" />
           </span>
           </span>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 370)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_contents_display_buttons.py	(revision 371)
@@ -14,5 +14,5 @@
 
 #if context.portal_type in ('Department','Certificate','StudyLevel'):
-if context.portal_type in ('Department','StudyLevel'):
+if context.portal_type in ('Department','StudyLevel',):
     return None
 return 1
Index: /WAeUP_SRP/trunk/skins/waeup_default/id_rename.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 370)
+++ /WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 371)
@@ -9,4 +9,9 @@
 REQUEST = context.REQUEST
 
+if context.portal_type in ('CoursesFolder',):
+    return REQUEST.RESPONSE.redirect(context.absolute_url() + \
+                                ('/academics_contents?portal_status_message=%s' \
+                                % ('Courses cannot be renamed',)))
+    
 new_ids = REQUEST['new_ids']
 new_ids = [id.upper() for id in REQUEST['new_ids']]