Index: WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 376)
+++ WAeUP_SRP/trunk/profiles/default/layouts/certificate.xml	(revision 379)
@@ -40,4 +40,26 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">courselevel</property>
+ </widget>
+ <widget name="m_prefix" meta_type="String Widget">
+  <property name="title">MPREFIX</property>
+  <property name="fields">
+   <element value="m_prefix"/>
+  </property>
+  <property name="label">MPREFIX</property>
+  <property name="label_edit">MPREFIX</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="max_elect" meta_type="String Widget">
+  <property name="title">Max Elect</property>
+  <property name="fields">
+   <element value="max_elect"/>
+  </property>
+  <property name="label">Max Elect</property>
+  <property name="label_edit">Max Elect</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="max_load" meta_type="Int Widget">
@@ -146,4 +168,7 @@
   </row>
   <row>
+   <cell name="max_load"/>
+  </row>
+  <row>
    <cell name="promotion_credits"/>
   </row>
@@ -163,4 +188,10 @@
    <cell name="n_core"/>
   </row>
+  <row>
+   <cell name="max_elect"/>
+  </row>
+  <row>
+   <cell name="m_prefix"/>
+  </row>
  </table>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 376)
+++ WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 379)
@@ -7,4 +7,15 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="adm_status" meta_type="String Widget">
+  <property name="title">Adm Status</property>
+  <property name="fields">
+   <element value="adm_status"/>
+  </property>
+  <property name="label">Adm Status</property>
+  <property name="label_edit">Adm Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="category" meta_type="String Widget">
   <property name="title">Category</property>
@@ -25,4 +36,15 @@
   <property name="label">Credits</property>
   <property name="label_edit">Credits</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="former_code" meta_type="String Widget">
+  <property name="title">Former Code</property>
+  <property name="fields">
+   <element value="former_code"/>
+  </property>
+  <property name="label">Former Code</property>
+  <property name="label_edit">Former Code</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 376)
+++ WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 379)
@@ -39,4 +39,15 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="college_code" meta_type="String Widget">
+  <property name="title">College Code</property>
+  <property name="fields">
+   <element value="college_code"/>
+  </property>
+  <property name="label">College Code</property>
+  <property name="label_edit">College Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="degree_grade" meta_type="String Widget">
   <property name="title">Degree Grade</property>
@@ -75,4 +86,7 @@
    <cell name="degree_grade"/>
   </row>
+  <row>
+   <cell name="college_code"/>
+  </row>
  </table>
 </object>