Index: /WAeUP_SRP/trunk/Academics.py
===================================================================
--- /WAeUP_SRP/trunk/Academics.py	(revision 388)
+++ /WAeUP_SRP/trunk/Academics.py	(revision 389)
@@ -528,9 +528,13 @@
         return "%s" % (self.title)
 
+
     security.declareProtected(View,"LongTitle")
     def LongTitle(self):
         """compose long_title"""
-        itype = self.portal_vocabularies.institution_types_voc.get(self.institution_type,default="Faculty of")
-
+        prefix = getattr(self,'title_prefix',None)
+        if prefix is None:
+            prefix = getattr(self,'institution_type','faculty')
+            self.getContent().edit(mapping = {'title_prefix': prefix})
+        itype = self.portal_vocabularies.institution_types_voc.get(prefix,default="Faculty of")
         return "%s %s" % (itype,self.title)
 
@@ -552,17 +556,12 @@
     security = ClassSecurityInfo()
 
-##    security.declareProtected(View,"Title")
-##    def Title(self):
-##        """compose title"""
-##        reg_nr = self.getId()[1:]
-##        return "Department of %s" % (self.title)
-
     security.declareProtected(View,"LongTitle")
     def LongTitle(self):
         """compose long_title"""
-        if not hasattr(self,'institution_type'):
-            self.institution_type = "department"
-        itype = self.portal_vocabularies.institution_types_voc.get(self.institution_type,default="Department of")
-
+        prefix = getattr(self,'title_prefix',None)
+        if prefix is None:
+            prefix = getattr(self,'institution_type','department')
+            self.getContent().edit(mapping = {'title_prefix': prefix})
+        itype = self.portal_vocabularies.institution_types_voc.get(prefix,default="Department of")
         return "%s %s" % (itype,self.title)
 
Index: /WAeUP_SRP/trunk/profiles/default/layouts/department.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 388)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 389)
@@ -36,5 +36,8 @@
   <property name="label_edit">Object ID</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="view"/>
+   <element value="edit"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -53,7 +56,22 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="title_prefix" meta_type="Select Widget">
+  <property name="title">Title Prefix</property>
+  <property name="fields">
+   <element value="title_prefix"/>
+  </property>
+  <property name="label">Title Prefix</property>
+  <property name="label_edit">Title Prefix</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">institution_types_voc</property>
+ </widget>
  <table>
   <row>
    <cell name="code"/>
+  </row>
+  <row>
+   <cell name="title_prefix"/>
   </row>
   <row>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 388)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 389)
@@ -61,11 +61,11 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="institution_type" meta_type="Select Widget">
-  <property name="title">Type of Institution</property>
+ <widget name="title_prefix" meta_type="Select Widget">
+  <property name="title">Title Prefix</property>
   <property name="fields">
-   <element value="institution_type"/>
+   <element value="title_prefix"/>
   </property>
-  <property name="label">Type of Institution</property>
-  <property name="label_edit">Type of Institution</property>
+  <property name="label">Title Prefix</property>
+  <property name="label_edit">Title Prefix</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -75,5 +75,5 @@
  <table>
   <row>
-   <cell name="institution_type"/>
+   <cell name="title_prefix"/>
   </row>
   <row>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 388)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 389)
@@ -29,19 +29,7 @@
   <property name="label_edit">Object ID</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="code_alt" meta_type="String Widget">
-  <property name="title">Object ID</property>
-  <property name="fields">
-   <element value="code"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Object ID</property>
-  <property name="label_edit">Object ID</property>
-  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
+   <element value="view"/>
    <element value="edit"/>
-   <element value="view"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/department.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/department.xml	(revision 388)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/department.xml	(revision 389)
@@ -2,3 +2,4 @@
 <object name="department" meta_type="CPS Schema">
  <field name="code" meta_type="CPS String Field"/>
+ <field name="title_prefix" meta_type="CPS String Field"/>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml	(revision 388)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/faculty.xml	(revision 389)
@@ -5,4 +5,4 @@
  <field name="college_code" meta_type="CPS String Field"/>
  <field name="degree_grade" meta_type="CPS String Field"/>
- <field name="institution_type" meta_type="CPS String Field"/>
+ <field name="title_prefix" meta_type="CPS String Field"/>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/get_departments_voc.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/get_departments_voc.py	(revision 388)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/get_departments_voc.py	(revision 389)
@@ -7,5 +7,5 @@
 if key is None:
     res = context.portal_catalog.search({'meta_type': "Department"})    
-    return [(d.getId,d.Title,) for d in res]
+    return [(d.getId(),d.Title,) for d in res]
 res = context.portal_catalog.search({'meta_type': "Department", 'id': key})
 if res: