Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 395)
+++ /WAeUP_SRP/trunk/Students.py	(revision 396)
@@ -57,4 +57,10 @@
             logger.info('processing "%(MatricNo)s","%(EntryRegNo)s","%(CurrentSession)s","%(StudentLevel)s","%(fullname)s","%(FirstName)s","%(MiddleName)s","%(Lastname)s","%(FormerSurname)s","%(Sex)s","%(Nationality)s","%(State)s","%(LGA)s","%(PermanentAddress)s","%(PermanentAddressCity)s","%(CampusAddress)s","%(PhoneNumber)s","%(Emailaddress)s","%(Mode)s","%(CourseMajor)s","%(Faculty)s","%(Dept)s"\n' % student)
             sid = student.get('MatricNo')
+            if sid == "":
+                em = 'Empty MatricNo\n'
+                logger.info(em)
+                no_import.write(em)
+                no_import.write('"%(MatricNo)s","%(EntryRegNo)s","%(CurrentSession)s","%(StudentLevel)s","%(fullname)s","%(FirstName)s","%(MiddleName)s","%(Lastname)s","%(FormerSurname)s","%(Sex)s","%(Nationality)s","%(State)s","%(LGA)s","%(PermanentAddress)s","%(PermanentAddressCity)s","%(CampusAddress)s","%(PhoneNumber)s","%(Emailaddress)s","%(Mode)s","%(CourseMajor)s","%(Faculty)s","%(Dept)s"\n' % student)
+                continue
             certcode = makeCertificateCode(student.get('CourseMajor'))
             if sid in students_added:
@@ -150,4 +156,72 @@
     ###)
 
+    security.declareProtected(ModifyPortalContent,"loadFullTimeStudentsResultsFromCSV")
+    def loadFullTimeStudentsResultsFromCSV(self):
+        """load Fulltime Studentdata from CSV values"""
+        #return
+        name = 'short_full_time_results_2004_2005.csv'
+        no_import = False
+        if not no_import:
+            no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
+            no_import.write('"Matnumber","CosCode","Ansbook","CosStuatus","Session","Mat_Cos","Score","CarryLevel","Grade","Weight","Semster","Verdict","Level","id","GPA"\n')
+        logger = logging.getLogger('%s_import' % name)
+        logger.info('Start loading from %s.csv' % name)
+        students_folder = self.portal_catalog({'meta_type': 'StudentsFolder'})[-1].getObject()
+        try:
+            results = csv.DictReader(open("%s/import/%s.csv" % (i_home,name),"rb"))
+        except:
+            logger.error('Error reading %s.csv' % name)
+            return
+        l = self.portal_catalog({'meta_type': "Student"})
+        students = {}
+        for s in l:
+            students[s.id] = s.getObject()
+        courses = self.portal_catalog({'meta_type': "Course"})
+        for result in results:
+            sid = result.get('Matnumber')
+            if sid not in students.keys():                
+                em = 'Student with ID %(Matnumber)s not found\n' % student
+                logger.info(em)
+                no_import.write(em)
+                no_import.write('"%(Matnumber)s","%(CosCode)s","%(Ansbook)s","%(CosStuatus)s","%(Session)s","%(Mat_Cos)s","%(Score)s","%(CarryLevel)s","%(Grade)s","%(Weight)s","%(Semster)s","%(Verdict)s","%(Level)s","%(id)s","%(GPA)s"\n' % student)
+                continue
+            if student.get('CosCode') not in courses:
+                em = 'Course with ID %(CosCode)s not found\n' % student
+                logger.info(em)
+                no_import.write(em)
+                no_import.write('"%(Matnumber)s","%(CosCode)s","%(Ansbook)s","%(CosStuatus)s","%(Session)s","%(Mat_Cos)s","%(Score)s","%(CarryLevel)s","%(Grade)s","%(Weight)s","%(Semster)s","%(Verdict)s","%(Level)s","%(id)s","%(GPA)s"\n' % student)
+                continue
+            level = student.get('Level')
+            try: 
+                int(level)
+            except:
+                em = 'Result for Student with ID %(Matnumber)s Course %(CosCode)s Level is empty\n' % student
+                logger.info(em)
+                no_import.write(em)
+                no_import.write('"%(Matnumber)s","%(CosCode)s","%(Ansbook)s","%(CosStuatus)s","%(Session)s","%(Mat_Cos)s","%(Score)s","%(CarryLevel)s","%(Grade)s","%(Weight)s","%(Semster)s","%(Verdict)s","%(Level)s","%(id)s","%(GPA)s"\n' % student)
+                continue
+            sf = students.get(sid)
+            sc = getattr(sf,'study_course')
+            l = getattr(sc,level,None)
+            if l is None:
+                #self.log('Creating Department %(DeptCode)s = %(Description)s' % dep)
+                logger.info('Creating Level %(StudentLevel)s for %(fullname)s' % student)
+                sc.invokeFactory('StudyLevel', level)
+                l = getattr(sc, level)
+                l.getContent().edit(mapping={'Title': "Level %s" % level})
+                l.invokeFactory('Semester','first')
+                l.invokeFactory('Semester','second')
+                first_s = getattr(l,'first')
+                first_s.getContent().edit(mapping={'Title': 'First Semester'})
+                second_s = getattr(l,'second')
+                second_s.getContent().edit(mapping={'Title': 'Second Semester'})
+            snr = student.get('Semester')
+            semester = getattr(l,'first')
+            if snr == "1":
+                semester = getattr(l,'second')
+            
+                
+                
+
     security.declareProtected(View,"Title")
     def Title(self):
Index: /WAeUP_SRP/trunk/profiles/default/types/CourseTicket.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/CourseTicket.xml	(revision 395)
+++ /WAeUP_SRP/trunk/profiles/default/types/CourseTicket.xml	(revision 396)
@@ -33,8 +33,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/temporary_view_all"
+    condition_expr="" url_expr="string:${object_url}/academics_contents"
     visible="True">
   <permission value="View"/>
@@ -42,11 +42,7 @@
  <action title="action_metadata" action_id="metadata" category="object"
     condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="True">
-  <permission value="University Manage"/>
- </action>
+    url_expr="string:${object_url}/cpsdocument_metadata" visible="True"/>
  <action title="Delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False">
-  <permission value="University Manage"/>
- </action>
+    visible="False"/>
 </object>
Index: /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 395)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudentStudyCourse.xml	(revision 396)
@@ -33,8 +33,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="cpsdocument_view"/>
- <alias from="view" to="cpsdocument_view"/>
+ <alias from="(Default)" to="academics_contents"/>
+ <alias from="view" to="academics_contents"/>
  <action title="View" action_id="view" category="object" condition_expr=""
-    url_expr="string:${object_url}/cpsdocument_view" visible="True">
+    url_expr="string:${object_url}/academics_contents" visible="True">
   <permission value="View"/>
  </action>