Index: /WAeUP_Doc/InstructionsPart1.html
===================================================================
--- /WAeUP_Doc/InstructionsPart1.html	(revision 398)
+++ /WAeUP_Doc/InstructionsPart1.html	(revision 399)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="utf-8" ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
Index: /WAeUP_Doc/InstructionsPart2.rst
===================================================================
--- /WAeUP_Doc/InstructionsPart2.rst	(revision 398)
+++ /WAeUP_Doc/InstructionsPart2.rst	(revision 399)
@@ -78,5 +78,5 @@
 ----------------------
 
-Couse and Certificate data have to be checked. Only checked data will be available for course registration in the frontend module.
+Course and Certificate data have to be checked. Only checked data will be available for course registration in the frontend module.
 
 1. Go to any Certificate object and approve this object (Click the 'Approve' tab in the object action bar) . The status in the object action bar (on the right) will change from 'unchecked' to 'checked'. Be aware that only the certificate status has changed, not the status of the children objects, i.e. the CertificateCourses. Thus, do the same for the CertificateCourse and Course objects. 
Index: /WAeUP_Doc/MainProcesses.html
===================================================================
--- /WAeUP_Doc/MainProcesses.html	(revision 398)
+++ /WAeUP_Doc/MainProcesses.html	(revision 399)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="utf-8" ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
@@ -315,5 +316,5 @@
 <div class="section">
 <h2><a id="step-1-online-pume-application" name="step-1-online-pume-application">Step 1 (online): PUME Application</a></h2>
-<p>The student buys an <strong>Application Access Card</strong> and enters the Access Code (PIN) together with his/her JAMB registration number on the <em>PUME Application Website</em>. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the <em>PUME Acknowledgement Slip</em>  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below). Furthermore, a member account with random password will be assigned. The password is also displayed on the <em>PUME Acknowledgement Slip</em>.</p>
+<p>The student buys an <strong>Application Access Card</strong> and enters the Access Code (PIN) together with his/her JAMB registration number on the <em>PUME Application Website</em>. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the <em>PUME Acknowledgement Slip</em>  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below). Furthermore, a member account with Application PIN (or random) password will be assigned. The password is also displayed on the <em>PUME Acknowledgement Slip</em>.</p>
 <p>Data fields to be shown on the PUME Acknowledgement Slip:</p>
 <pre class="literal-block">
@@ -397,5 +398,5 @@
 1st Sitting (SSCE, WAEC, GCE, NECO, NABTEB): Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
 2nd Sitting (SSCE, WAEC, GCE, NECO, NABTEB): Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
-Advanced Level Results: Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
+Advanced Level Results: Exam Number, Exam Date, Exam Subjects, Exam Grades
 Other Qualifications: Higher Qualification, Higher Grade, School Attended, Matric Number, Session Obtained, Discipline
 </pre>
Index: /WAeUP_Doc/MainProcesses.rst
===================================================================
--- /WAeUP_Doc/MainProcesses.rst	(revision 398)
+++ /WAeUP_Doc/MainProcesses.rst	(revision 399)
@@ -34,5 +34,5 @@
 +++++++++++++++++++++++++++++++++
 
-The student buys an **Application Access Card** and enters the Access Code (PIN) together with his/her JAMB registration number on the *PUME Application Website*. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the *PUME Acknowledgement Slip*  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below). Furthermore, a member account with random password will be assigned. The password is also displayed on the *PUME Acknowledgement Slip*.
+The student buys an **Application Access Card** and enters the Access Code (PIN) together with his/her JAMB registration number on the *PUME Application Website*. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the *PUME Acknowledgement Slip*  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below). Furthermore, a member account with Application PIN (or random) password will be assigned. The password is also displayed on the *PUME Acknowledgement Slip*.
 
 Data fields to be shown on the PUME Acknowledgement Slip: 
@@ -137,5 +137,5 @@
  1st Sitting (SSCE, WAEC, GCE, NECO, NABTEB): Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
  2nd Sitting (SSCE, WAEC, GCE, NECO, NABTEB): Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
- Advanced Level Results: Exam Number, Exam Date, Exam Type, Exam Subjects, Exam Grades
+ Advanced Level Results: Exam Number, Exam Date, Exam Subjects, Exam Grades
  Other Qualifications: Higher Qualification, Higher Grade, School Attended, Matric Number, Session Obtained, Discipline
  